Algorand Indexer

📘

See the Algorand Indexer RPC API connection guide.

indexer REST

MethodNotesCompute Unit Value
GET /healthReturns an empty successful response when the Indexer service is healthy.1
GET /v2/accountsSearches indexed accounts using the supplied filters.10
GET /v2/accounts/{account-id}Returns indexed account data for an account ID.10
GET /v2/accounts/{account-id}/apps-local-stateReturns an account's indexed application local states.10
GET /v2/accounts/{account-id}/assetsReturns an account's indexed asset holdings.10
GET /v2/accounts/{account-id}/created-applicationsReturns applications created by an account.10
GET /v2/accounts/{account-id}/created-assetsReturns assets created by an account.10
GET /v2/accounts/{account-id}/transactionsReturns indexed transactions associated with an account.10
GET /v2/applicationsSearches indexed applications using the supplied filters.5
GET /v2/applications/{application-id}Returns an indexed application by ID.5
GET /v2/applications/{application-id}/logsReturns logged application calls for an application.5
GET /v2/assetsSearches indexed assets using the supplied filters.50
GET /v2/assets/{asset-id}Returns an indexed asset by ID.5
GET /v2/assets/{asset-id}/balancesReturns indexed account balances for an asset.5
GET /v2/assets/{asset-id}/transactionsReturns indexed transactions involving an asset.5
GET /v2/blocks/{round-number}Returns an indexed block by round number.50
GET /v2/transactionsSearches indexed transactions using the supplied filters.10
GET /v2/transactions/{txid}Returns an indexed transaction by transaction ID.5